SystemOrganization addCategory: #ConfigurationOfTextLint!

Object subclass: #ConfigurationOfTextLint
	instanceVariableNames: 'project'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ConfigurationOfTextLint'!

!ConfigurationOfTextLint class methodsFor: 'private' stamp: 'FabrizioPerin 4/6/2010 11:07'!
ensureMetacello
	Smalltalk at: #MetacelloProject ifAbsent: [
		Gofer new
				url: 'http://seaside.gemstone.com/ss/metacello';
				package: 'ConfigurationOfMetacello';
				load.
		(Smalltalk at: #ConfigurationOfMetacello) loadLatestVersion ]! !

!ConfigurationOfTextLint class methodsFor: 'metacello tool support' stamp: 'FabrizioPerin 4/6/2010 11:07'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfTextLint class methodsFor: 'loading' stamp: 'FabrizioPerin 4/6/2010 11:18'!
loadDefault
	
	Transcript open.
	Transcript show: 'Loading TextLint configuration ...'; cr; show: '--------'; cr; cr.
	
	(self project version: 'default') load.

	Transcript show: ''; cr; show: 'TextLint configuration loaded. Have fun!!'; cr.
! !

!ConfigurationOfTextLint class methodsFor: 'loading' stamp: 'FabrizioPerin 6/10/2010 13:41'!
loadLastStable
	
	Transcript open.
	Transcript show: 'Loading TextLint configuration ...'; cr; show: '--------'; cr; cr.
	
	(self project version: 'lastStable') load.

	Transcript show: ''; cr; show: 'TextLint configuration loaded. Have fun!!'; cr.! !

!ConfigurationOfTextLint class methodsFor: 'loading' stamp: 'FabrizioPerin 6/29/2010 16:20'!
loadLatestVersion
	
	Transcript open.
	Transcript show: 'Loading TextLint configuration ...'; cr; show: '--------'; cr; cr.
	
	self project latestVersion load

	Transcript show: ''; cr; show: 'TextLint configuration loaded. Have fun!!'; cr.

	"self load"

! !

!ConfigurationOfTextLint class methodsFor: 'accessing' stamp: 'FabrizioPerin 4/6/2010 11:07'!
project

	^self new project! !

!ConfigurationOfTextLint methodsFor: 'baselines' stamp: 'FabrizioPerin 6/29/2010 16:10'!
baseline10: spec 
        <version: '1.0-baseline'>
        
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository:  'http://www.squeaksource.com/textlint'.
		
		spec
			package: 'PetitParser' with: [spec repository: 'http://source.lukas-renggli.ch/petit'];
			package: 'Merlin' with: [spec repository: 'http://www.squeaksource.com/Merlin'];
			package: 'TextLint-Model' with: [spec requires: 'PetitParser'];
			package: 'TextLint-Tests' with: [spec requires: 'TextLint-Model'];
			package: 'TextLint-View' with: [spec requires: #('TextLint-Model' 'GLMorphic for TextLint' 'Merlin' 'Glamour for TextLint') ].
			
		spec group: 'Tests' with: #('TextLint-Tests').
		spec group: 'Core' with: #('TextLint-Model' 'TextLint-View'). 
		spec group: 'default' with: #('Core' 'Tests').
		
		spec project: 'GLMorphic for TextLint' with: [
				spec
					className: 'ConfigurationOfGLMorphic';
					file: 'ConfigurationOfGLMorphic';
					version: '1.0';
					repository: 'http://www.squeaksource.com/GLMorphic' ].
				
		spec project: 'Shout' with: [
				spec
					className: 'ConfigurationOfShout';
					file: 'ConfigurationOfShout';
					version: '1.0';
					repository: 'http://www.squeaksource.com/MetacelloRepository' ].
		
		spec project: 'Glamour for TextLint' with: [
				spec
					className: 'ConfigurationOfGlamour';
					file: 'ConfigurationOfGlamour';
					version: 'default';
					repository: 'http://www.squeaksource.com/Glamour' ].
	].! !

!ConfigurationOfTextLint methodsFor: 'defaults' stamp: 'FabrizioPerin 4/27/2010 11:15'!
default: spec 
	<version: 'default'>
	
	spec for: #common do: [
		spec blessing: #default.
		spec 
			package: 'PetitParser' with: [spec repository: 'http://source.lukas-renggli.ch/petit'];
			package: 'Merlin' with: [spec repository: 'http://www.squeaksource.com/Merlin'];
			package: 'Shout' with: [spec repository: 'http://www.squeaksource.com/shout'];
			package: 'TextLint-Model' with: [
				spec repository: 'http://www.squeaksource.com/textlint'.
				spec requires: 'PetitParser'];
			package: 'TextLint-Tests' with: [
				spec repository: 'http://www.squeaksource.com/textlint'.
				spec requires: 'TextLint-Model'];
			package: 'TextLint-View' with: [
				spec repository: 'http://www.squeaksource.com/textlint'.
				spec requires: 'TextLint-Model'.
				spec requires: 'Merlin'.
				spec requires: 'Glamour for TextLint' ].
		spec project: 'Glamour for TextLint' with: [
				spec
					className: 'ConfigurationOfGlamour';
					file: 'ConfigurationOfGlamour';
					version: 'default';
					repository: 'http://www.squeaksource.com/Glamour' ].
	]! !

!ConfigurationOfTextLint methodsFor: 'accessing' stamp: 'FabrizioPerin 4/6/2010 11:07'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		self class ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project]! !

!ConfigurationOfTextLint methodsFor: 'versions' stamp: 'FabrizioPerin 6/29/2010 16:35'!
versionLastStable: spec
	<version: 'lastStable' imports: #('1.0-baseline')>

	spec for: #common do: [
		spec blessing: #stable.
		spec author: 'FabrizioPerin'.
		spec timestamp: '05/27/2010 21:13'.
		spec description: 'first stable version'.

		spec project: 'Glamour for TextLint' with: '2.0-beta.5'.
		spec project: 'Shout' with: '1.0'.
		
		spec 
			package: 'PetitParser' with: 'PetitParser-lr.167';
			package: 'Merlin' with: 'Merlin-cyrille_delaunay.56'.
		
		spec
			package: 'TextLint-Model' with: 'TextLint-Model-JorgeRessia.98';
			package: 'TextLint-View' with: 'TextLint-View-FabrizioPerin.39'.
	].! !
